<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{

    ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title>Prize Bond Details - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="Version" content="v1.2.0" />
        <!-- favicon -->
        <?php require "common/head.php"?>

    </head>

    <body>


    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <!-- sidebar-wrapper  -->

        <!-- Start Page Content -->
        <main class="page-content bg-light">
            <?php 
            
             require "common/top-header.php";
             
              $username= "advepvwr_pb";
              $password=  "8Ea_8X(Uj~wX";
              $servername = "localhost";
              $dbname = "advepvwr_prize_bond";
              
              $msg = "";
    
              // Create connection
              $conn = new mysqli($servername, $username, $password, $dbname);
              // Check connection
              if ($conn->connect_error) {
                  die("Connection failed: " . $conn->connect_error);
              }
              else
              {
                //echo 'create';
              }
             if(isset($_POST['upload_file']))
             {
                 
                $handle = fopen($_FILES['excel_file']['tmp_name'], "r");
                while($data = fgetcsv($handle))//handling csv file 
                {
                    $bond_name = mysqli_real_escape_string($conn, $data[0]);  
                    $bond_number = mysqli_real_escape_string($conn, $data[1]);
                    $default = "";
                
                    $get_bond_query = "SELECT * FROM `bond` WHERE `bond_number`='$bond_number'";
                    $get_bond_res = mysqli_query($conn,$get_bond_query);
                    
                    if($get_bond_res->num_rows>0)
                    {
                        $bond_detail = $get_bond_res->fetch_assoc();
                        
                        $bond_id = $bond_detail['bond_id'];
                        $status = "true";
                        
                        $update_query = "UPDATE `bond` SET `status`='$status' 
                                         WHERE `bond_id` = '$bond_id'";
                        if(mysqli_query($conn,$update_query))
                        {
                            $msg =  '<div class="text-center alert alert-success" role="alert"> Bond Status Updated Successfully </div>';
                        }
                    }
                    
                    $status = "true";
                    
                    $query = "INSERT INTO `winner_list`(`type`, `bond_number`,`status`,`image`) 
                      VALUES ('$bond_name','$bond_number','$status','$default')";
                      
                    if(mysqli_query($conn,$query))
                    {
                        
                        // $msg =  '<div class="text-center alert alert-success" role="alert"> Bond History Added Successfully </div>';
                    }
                    else
                    {
                        // $msg =  '<div class="text-center alert alert-danger" role="alert"> Error Please Contact Your Support Team </div>';
                    }
                }
                fclose($handle);   
             }
            
            ?>

            <div class="container-fluid">
                <div class="layout-specing">
                    <div class="d-md-flex justify-content-between">
                        <h5 class="mb-0"></h5>
                    </div>
                    <div class="row my-3">
                        <div class="col-md-3 col-12">
                            <label class="form-label">Search Prize Bond</label>
                            <input type="text" id="bond_number" placeholder="Enter number" class="form-control" onkeyup="find_bond(this.value);"/>
                        </div>
                        <div class="col-md-3 col-12">
                            <label class="form-label">Prize Bond Type</label>
                            <select class="form-control" onchange="select_bond_type(this.value);" id="bond_type">
                                <option>Select Type</option>
                                <option value="all">All</option>
                                <option value="100">100</option>
                                <option value="200">200</option>
                                <option value="750">750</option>
                                <option value="1500">1500</option>
                                <option value="7500">7500</option>
                                <option value="15000">15000</option>
                            </select>
                        </div>
                        <div class="col-md-3 col-12">
                            
                        </div>
                         <div class="col-md-3 col-12">
                            <button style="margin-top: 29px;" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#upload_bond">Upload Bonds</button>
                        </div>
                    </div>
                    <div class="my-3" id="bond_response">
                        <?php echo $msg; ?>
                    </div>
                    <div class="row my-3">
                        <table class="table  table-center bg-white shadow rounded">
                            <thead class="table table-bordered table-header">
                              <tr>
                                  <td class="text-center">Bond Number</td>
                                  <td class="text-center">Bond Name</td>
                                  <td class="text-center">Status</td>
                                  <td class="text-center">Action</td>
                              </tr>
                            </thead>
                            <tbody id="bond_list">
                            </tbody>
                        </table>
                    </div>
                    <div class="row my-3">
                        <div id="pagination"></div>
                    </div>
                </div>
            </div><!--end container-->

            <!-- Footer Start -->
            <!-- End -->
        </main>
        <!--End page-content" -->
    </div>
    <div class="modal fade" id="upload_bond" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Add Prize Bonds</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="response"></div>
                <div class="modal-body p-3 pt-4" id="upload_bond_modal_body">
                    <div class="form-block">
                        <div id="response"></div>
                        <div class="row">
                            <ul class="nav nav-pills nav-fill">
                              <li class="nav-item">
                                <a onclick="show_bond_type('bond_single_form');" class="single_bond_btn nav-link active" aria-current="page" href="#">Single Bond</a>
                              </li>
                              <li class="nav-item">
                                <a onclick="show_bond_type('bond_bulk_form');" class="bulk_bond_btn nav-link" href="#">Upload a File</a>
                              </li>
                              
                            </ul>
                        </div>
                        <form id="single_bond" class="bond_single_form my-3">
                            <div class="row">
                                <div class="col-12 my-2">
                                    <label  class="form-label">Prize Bond Type</label>
                                    <select class="form-control" name="bond_name">
                                        <option>Select Type</option>
                                        <option value="100">100</option>
                                        <option value="200">200</option>
                                        <option value="750">750</option>
                                        <option value="1500">1500</option>
                                        <option value="7500">7500</option>
                                        <option value="15000">15000</option>
                                    </select>
                                </div>
                                <div class="col-12 my-2">
                                    <label class="form-label">Prize Bond Number</label>
                                    <input type="text" name="bond_number" class="form-control"/>
                                </div>
                            </div>
                        </form>
                        <div class="bond_single_form row mt-2">
                            <div class="col-md-3 col-12">
                                <button class="btn btn-primary" onclick="add_bond();">Upload</button>
                            </div>
                        </div>
                        <form id="bond_file" class="bond_bulk_form my-3" style="display:none;" action="bond.php" method="POST" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-12 mt-3">
                                    <label class="form-label">File</label>
                                    <input class="form-control" type="file" name="excel_file"/>
                                </div>
                            </div>
                            <div class="bond_bulk_form row mt-2" style="display:none;">
                                <div class="col-md-3 col-12">
                                    <!--<button class="btn btn-primary" type="submit">Upload</button>-->
                                    <input type="submit" value="Upload" name="upload_file" class="btn btn-primary" />
                                </div>
                            </div>
                        </form>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="update_bond" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Update Prize Bonds</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body p-3 pt-4" id="update_bond_modal_body">
                    
                </div>
            </div>
        </div>
    </div>
    <!-- page-wrapper -->


    <!-- javascript -->
    <?php require "common/scripts.php"?>
    <script>
     function update_bond(bond_id)
     {
         console.log($("#update_bond_form").serialize());
         console.log(bond_id);
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"update_bond",
                id:bond_id,
                bond_detail:$("#update_bond_form").serialize()
            },
            success:function(response){
                
                $("#bond_response").html(response);
                $("#update_bond").modal("toggle");
                load_bonds();
            }
        })
     }
     function load_current_page(page_no,page_pr_row)
     {
         let offset = (page_no-1)*page_pr_row;
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_current_page",
                page_offset:offset
            },
            success:function(response){
                
                $("#bond_list").html(response);
                // load_pagination();
            }
        })
     }
     function load_bond_form(bond_id)
     {
        $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_bond_form",
                id:bond_id
            },
            success:function(response){
                
                $("#update_bond_modal_body").html(response);
                $("#update_bond").modal("toggle");
                // load_pagination();
            }
        })   
     }
     function show_bond_type(section_class)
     {
         
         if(section_class=='bond_single_form')
         {
             $(".single_bond_btn").addClass("active");
             $(".bulk_bond_btn").removeClass("active");
             
             $(".bond_single_form").show();
             $(".bond_bulk_form").hide();
         }
         else
         {
             $(".single_bond_btn").removeClass("active");
             $(".bulk_bond_btn").addClass("active");
             
             $(".bond_single_form").hide();
             $(".bond_bulk_form").show();
         }
     }
     function load_pagination()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_pagination",
            },
            success:function(pagination){
                $("#pagination").html(pagination);
            }
        })
     }
     function load_bonds()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_bonds",
            },
            success:function(response){
                
                $("#bond_list").html(response);
                load_pagination();
            }
        }) 
     }
     load_bonds();
     function select_bond_type(bond_type)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"filter_bond_by_type",
                bond_type:bond_type
            },
            success:function(response){
                $("#bond_number").val("");
                $("#bond_list").html(response);
            }
        })
     }
     function find_bond(bond_number)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"find_bond",
                bond_number:bond_number
            },
            success:function(response){
                $('#bond_type').prop('selectedIndex',0);
                $("#bond_list").html(response);
            }
        }) 
     }
     function load_filter_pagination()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_filter_pagination",
                
            },
            success:function(response){
                $("#pagination").html(pagination);
            }
        })
     }
     function add_bond()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"add_bond",
                bond_type:"single",
                bond_detail:$("#single_bond").serialize()
            },
            success:function(response){
                
                $("#bond_response").html(response);
                load_bonds();
                setTimeout(function(){
                    $("#upload_bond").modal("toggle");
                    $("#bond_response").html("");
                },2000)
            }
        })
     }
     
    </script>
    </body>

    </html>
    <?php
}
else
{
    $url =  "http://adverchitects.com/pb";
    header("Location:".$url);
}
?>
