<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{

    ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title>Staff - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="Version" content="v1.2.0" />
        <!-- favicon -->
        <?php require "common/head.php"?>

    </head>

    <body>


    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <!-- sidebar-wrapper  -->

        <!-- Start Page Content -->
        <main class="page-content bg-light">
            <?php require "common/top-header.php"?>

            <div class="container-fluid">
                <div class="layout-specing">
                    <div class="d-md-flex justify-content-between">
                        <h5 class="mb-0"></h5>
                    </div>
                    <div class="row my-3">
                        <div class="col-md-3 col-12">
                            <label class="form-label">Staff</label>
                            <input type="text" placeholder="Type Staff Name" class="form-control"/>
                        </div>
                        <div class="col-md-3 col-12">
                            
                        </div>
                        <div class="col-md-3 col-12">
                            
                        </div>
                         <div class="col-md-3 col-12">
                            <button style="margin-top: 29px;" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#add_staff">Add Staff</button>
                        </div>
                    </div>
                    <div id="response_msg my-2"></div>
                    <div class="row my-3">
                        <table class="table  table-center bg-white shadow rounded">
                            <thead class="table table-bordered table-header">
                              <tr>
                                  <td class="text-center">Name</td>
                                  <td class="text-center">Phone</td>
                                  <td class="text-center">Role</td>
                                  <td class="text-center">CNIC</td>
                                  <td class="text-center">Action</td>
                              </tr>
                            </thead>
                            <tbody id="Staff_list">
                               
                            </tbody>
                        </table>
                    </div>
                </div>
            </div><!--end container-->

            <!-- Footer Start -->
            <!-- End -->
        </main>
        <!--End page-content" -->
    </div>
    <div class="modal fade" id="add_staff" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Add Staff</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <div class="modal-body p-3 pt-4" id="add_staff_modal_body">
                    <div class="form-block" style="width:100% !important;">
                        
                        <form id="staff_form" action="backend/staff.php" method="post" class="my-3">
                            <div class="row">
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Name</label>
                                    <input type="text" class="form-control" name="Staff_name"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Email</label>
                                    <input type="email" class="form-control" name="Staff_email"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Phone</label>
                                    <input type="text" class="form-control" name="Staff_phone"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Role</label>
                                    <input type="text" class="form-control" name="Staff_role"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">CNIC</label>
                                    <input type="text" class="form-control" name="Staff_cnic"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Upload Image</label>
                                    <input type="file" class="form-control" name="Staff_image"/>
                                </div>
                                <div class="col-lg-4 col-md-6 col-12 mt-3">
                                    <label class="form-label">Password</label>
                                    <input type="text" class="form-control" name="Staff_pswd"/>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-md-3 col-12">
                                    <input type="submit" class="btn btn-primary" name="add_staff" value="Add"/>
                                    <!--<button class="btn btn-primary">Add</button>-->
                                </div>
                            </div>
                        </form>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="update_staff" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Update Staff</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="class_file_update_response"></div>
                <div class="modal-body p-3 pt-4" id="update_staff_modal_body">
                    
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="class_file_delete_alert" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Staff</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="delete_response"></div>
                <div class="modal-body p-3 pt-4">
                    <div class="form-block">
                        <div class="row my-3">
                        <div class="col-12">
                            <p class="text-center">Are You Sure?</p>
                            <p class="text-center">You want to delete This.</p>
                        </div>
                        <div class="col-md-6 col-12 text-center">
                            <button  class="btn btn-primary" onclick="delete_class_academic();">Yes</button>
                        </div>
                        <div class="col-md-6 col-12 text-center">
                            <button class="btn btn-primary" data-bs-dismiss="modal">No</button>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- page-wrapper -->


    <!-- javascript -->
    <?php require "common/scripts.php"?>
    <script>
     function load_user_form(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_user_form",
                user_id:id
            },
            success:function(pagination){
                $("#update_user_modal_body").html(pagination);
                $("#update_user").modal("toggle");
            }
        })
    }
     function load_pagination()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_pagination",
            },
            success:function(pagination){
                $("#pagination").html(pagination);
            }
        })
    }
     function filter_user(name)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"filter_user",
                user_name:name
            },
            success:function(response){
                
                $("#user_list").html(response);
                load_pagination();
            }
        })
    }
     function load_staff()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_staff",
            },
            success:function(response){
                
                $("#Staff_list").html(response);
                load_pagination();
            }
        }) 
     }
     load_staff();
     function update_user(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"update_user",
                user_detail:$("#update_user_form").serialize(),
                user_id:id
            },
            success:function(response){
                
                $("#response").html(response);
                load_users();
                $("#update_user").modal("toggle");
                setTimeout(function(){
                    
                    $("#response").html("");
                },2000)
            }
        })
     }
     function delete_user(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"delete_user",
                user_id:id
            },
            success:function(response){
                
                $("#response").html(response);
                load_users();
                $("#delete_user_alert").modal("toggle");
                setTimeout(function(){
                    
                    $("#response").html("");
                },2000)
            }
        })
     }
     function delete_user_popup(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"delete_user_popup",
                user_id:id
            },
            success:function(response){
                
                $("#delete_modal_body").html(response);
                $("#delete_user_alert").modal("toggle");
                
            }
        })
     }
     

    (function () {
      "use strict";
    
      let forms = document.querySelectorAll('#staff_form');
    
      forms.forEach( function(e) {
        e.addEventListener('submit', function(event) {
          event.preventDefault();
    
          let thisForm = this;
    
          let action = thisForm.getAttribute('action');
          
          if( ! action ) {
            displayError(thisForm, 'The form action property is not set!')
            return;
          }
        //   thisForm.querySelector('.loading').classList.add('d-block');
        //   thisForm.querySelector('.error-message').classList.remove('d-block');
        //   thisForm.querySelector('.sent-message').classList.remove('d-block');
    
          let formData = new FormData( thisForm );
          
          php_email_form_submit(thisForm, action, formData);
        });
      });
    
      function php_email_form_submit(thisForm, action, formData) {
        fetch(action, {
          method: 'POST',
          body: formData,
          headers: {'X-Requested-With': 'XMLHttpRequest'}
        })
        .then(response => {
          return response.text();
        })
        .then(data => {
            console.log(data);
            load_staff();
            $("#response_msg").html(data);
            $("#add_staff").modal("toggle");
            thisForm.reset();
        //   thisForm.querySelector('.loading').classList.remove('d-block');
          if (data.trim() == 'OK') {
            // thisForm.querySelector('.sent-message').classList.add('d-block');
            thisForm.reset(); 
          } else {
            throw new Error(data ? data : 'Form submission failed and no error message returned from: ' + action); 
          }
        })
        .catch((error) => {
          displayError(thisForm, error);
        });
      }
    
      function displayError(thisForm, error) {
        // thisForm.querySelector('.loading').classList.remove('d-block');
        // thisForm.querySelector('.error-message').innerHTML = error;
        // thisForm.querySelector('.error-message').classList.add('d-block');
      }
    
    })();

    </script>
    </body>

    </html>
    <?php
}
else
{
    $url =  "http://fkprofile.com/prize_bond/";
    header("Location:".$url);
}
?>
