<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{
    
    ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title>Prize Bond - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!-- favicon -->
        <?php require "common/head.php"?>

    </head>

    <body onload="load_tactic();">


    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <!-- sidebar-wrapper  -->

        <!-- Start Page Content -->
        <main class="page-content bg-light">
            <?php require "common/top-header.php"?>

            <div class="container-fluid">
                <div class="layout-specing">
                    <h5 class="mb-0">Dashboard</h5>

                    <div class="row">
                        <div class="col-xl-3 col-lg-4 col-md-6 mt-4 col-12">
                            <div class="card features feature-primary rounded border-0 shadow p-4">
                                <div class="d-flex align-items-center">
                                    <div class="flex-1 ms-2">
                                        <h5 class="mb-0" id="total_bond">1000</h5>
                                        <p class="text-muted mb-0">Total Prize Bond</p>
                                    </div>
                                </div>
                            </div>
                        </div><!--end col-->

                        <div class="col-xl-3 col-lg-4 col-md-6 mt-4 col-12">
                            <div class="card features feature-primary rounded border-0 shadow p-4">
                                <div class="d-flex align-items-center">
                                    <div class="flex-1 ms-2">
                                        <h5 class="mb-0" id="valid_bond">850</h5>
                                        <p class="text-muted mb-0">Valid</p>
                                    </div>
                                </div>
                            </div>
                        </div><!--end col-->

                        <div class="col-xl-3 col-lg-4 col-md-6 mt-4 col-12">
                            <div class="card features feature-primary rounded border-0 shadow p-4">
                                <div class="d-flex align-items-center">
                                    <div class="flex-1 ms-2">
                                        <h5 class="mb-0" id="paid_fee">150</h5>
                                        <p class="text-muted mb-0">Invalid</p>
                                    </div>
                                </div>

                            </div>
                        </div><!--end col-->

                        <div class="col-xl-3 col-lg-4 col-md-6 mt-4 col-12">
                            <div class="card features feature-primary rounded border-0 shadow p-4">
                                <div class="d-flex align-items-center">
                                    <div class="flex-1 ms-2">
                                        <h5 class="mb-0" id="un_paid_fee">500</h5>
                                        <p class="text-muted mb-0">Total Winner</p>
                                    </div>
                                </div>
                            </div>
                        </div><!--end col-->
                    </div><!--end row-->

                    <div class="row">
                        <div class="col-12 mt-4">
                            <div class="card shadow border-0 p-4">
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <h6 class="align-items-center mb-0">Number Of Winners In Each Month</h6>


                                </div>
                                <div id="dashboard_graph" class="apex-chart"></div>
                            </div>
                        </div><!--end col-->
                    </div>
                </div>
            </div>
        </main>
    </div>

    <?php require "common/scripts.php"?>
    
    </body>

    </html>
    <?php
}
else
{
    $url =  "http://adverchitects.com/pb";
    header("Location:".$url);
}
?>
