<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{
    ?>
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Al-Ikhlas - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="Version" content="v1.2.0" />
        <!-- favicon -->
        <?php require "common/head.php"?>
    </head>
    <body>
    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <main class="page-content bg-light">
            <?php require "common/top-header.php"?>
            <div class="container-fluid">
                <div class="layout-specing">
                    <div class="d-md-flex justify-content-between">
                        <h5 class="mb-0">Upload Marks</h5>
                    </div>
                    <div id="response"></div>
                    
                    <div class="row my-2">
                      <div class="col-md-3 col-12">
                          <label class="form-label">Class</label>
                          <select class="form-control col-md-3 col-12" onchange="load_student_list_for_marks(this);" id="grade">
                              <option>Select Class</option>
                                <?php
                                $grades = 1;
                                while($grades<=10)
                                {
                                    ?>
                                    <option value="Class <?php echo $grades ?>">Class <?php echo $grades ?></option>
                                    <?php
                                    $grades = $grades + 1;
                                }
                                ?>
                          </select>
                      </div>
                      <div class="col-md-3 col-12" id="class_students" style="display:none;">
                          
                      </div>
                      <div class="col-md-3 col-12" id="subject_list" style="display:none;">
                          <label class="form-label">Subject</label>
                          <select class="form-control" id="subject" onchange="load_academics(this.value);">
                            <option>Select Subject</option>
                            <option value="math">Math / Matematik</option>
                            <option value="phsyics_chemist">Fysik / Kemi (Physics / Chemistry)</option>
                          </select>
                      </div>
                      <div class="col-md-3 col-12" id="marks_upload_academic" style="display:none;">
                          
                      </div>
                    </div>
                    
                    <div class="row my-3">
                        <div class="col-12" id="marks_response"></div>
                        <table class="table  table-center bg-white shadow rounded">
                            <thead class="table table-bordered table-header">
                              <tr>
                                  <td class="text-center">Title</td>
                                  <td class="text-center">Obtain Marks</td>
                                  <td class="text-center">Uploaded File</td>
                                  <td class="text-center">Action</td>
                              </tr>
                            </thead>
                            <tbody id="student_list">
                                <tr>
                                   <td colspan="7"><h5 class="text-center">Please Select a Grade</h5></td>
                               </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </main>
    </div>
    <div class="modal fade" id="view_student_detail" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Student Detail</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="response"></div>
                <div class="modal-body p-3 pt-4" id="student_detail">

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="upload_marks_to_student" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Upload Marks</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="response"></div>
                <div class="modal-body p-3 pt-4" id="student_marks_upload">

                </div>
            </div>
        </div>
    </div>
    <?php require "common/scripts.php"?>
    </body>
    </html>
    <?php
}
else
{
    $url =  "http://fkprofile.com/al_ikhlas/";
    header("Location:".$url);
}
?>
