<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{

    ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title>Users - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="Version" content="v1.2.0" />
        <!-- favicon -->
        <?php require "common/head.php"?>

    </head>

    <body>


    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <!-- sidebar-wrapper  -->

        <!-- Start Page Content -->
        <main class="page-content bg-light">
            <?php require "common/top-header.php"?>

            <div class="container-fluid">
                <div class="layout-specing">
                    <div class="d-md-flex justify-content-between">
                        <h5 class="mb-0"></h5>
                    </div>
                    <div class="row my-3">
                        <div class="col-md-3 col-12">
                            <label class="form-label">User</label>
                            <input type="text" placeholder="Type User Name" class="form-control" onkeyup="filter_user(this.value)"/>
                        </div>
                        <div class="col-md-3 col-12">
                            
                        </div>
                        <div class="col-md-3 col-12">
                            
                        </div>
                         <div class="col-md-3 col-12">
                            <button style="margin-top: 29px;" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#add_user">Add User</button>
                        </div>
                    </div>
                    <div id="response"></div>
                    <div class="row my-3">
                        <table class="table  table-center bg-white shadow rounded">
                            <thead class="table table-bordered table-header">
                              <tr>
                                  <td class="text-center">Name</td>
                                  <td class="text-center">Phone</td>
                                  <td class="text-center">Email</td>
                                  <td class="text-center">Status</td>
                                  <td class="text-center">Action</td>
                              </tr>
                            </thead>
                            <tbody id="user_list">
                               
                            </tbody>
                        </table>
                    </div>
                    <div class="row my-3" id="pagination" style="display:none;">
                        
                    </div>
                </div>
            </div><!--end container-->

            <!-- Footer Start -->
            <!-- End -->
        </main>
        <!--End page-content" -->
    </div>
    <div class="modal fade" id="add_user" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Add User</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body p-3 pt-4" id="add_user_modal_body">
                    <div class="form-block">
                        
                        <form id="user_form" class="my-3">
                            <div class="row">
                                <div class="col-12 mt-3">
                                    <label class="form-label">Name</label>
                                    <input type="text" class="form-control" name="user_name"/>
                                </div>
                                <div class="col-12 mt-3">
                                    <label class="form-label">Email</label>
                                    <input type="email" class="form-control" name="user_email"/>
                                </div>
                                <div class="col-12 mt-3">
                                    <label class="form-label">Phone</label>
                                    <input type="text" class="form-control" name="user_phone"/>
                                </div>
                                
                                
                            </div>
                        </form>
                        <div class="row mt-2">
                            <div class="col-md-3 col-12">
                                <button class="btn btn-primary" onclick="add_user();">Add</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="update_user" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Update User</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body p-3 pt-4" id="update_user_modal_body">
                    
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="delete_user_alert" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">User</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="delete_response"></div>
                <div class="modal-body p-3 pt-4" id="delete_modal_body">
                    
                </div>
            </div>
        </div>
    </div>
    <!-- page-wrapper -->


    <!-- javascript -->
    <?php require "common/scripts.php"?>
    <script>
    function load_user_form(id)
    {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_user_form",
                user_id:id
            },
            success:function(pagination){
                $("#update_user_modal_body").html(pagination);
                $("#update_user").modal("toggle");
            }
        })
    }
    function load_pagination()
    {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_pagination",
            },
            success:function(pagination){
                $("#pagination").html(pagination);
            }
        })
    }
    function filter_user(name)
    {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"filter_user",
                user_name:name
            },
            success:function(response){
                
                $("#user_list").html(response);
                load_pagination();
            }
        })
    }
    function load_users()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"load_users",
            },
            success:function(response){
                
                $("#user_list").html(response);
                load_pagination();
            }
        }) 
     }
     load_users();
     function update_user(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"update_user",
                user_detail:$("#update_user_form").serialize(),
                user_id:id
            },
            success:function(response){
                
                $("#response").html(response);
                load_users();
                $("#update_user").modal("toggle");
                setTimeout(function(){
                    
                    $("#response").html("");
                },2000)
            }
        })
     }
     function delete_user(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"delete_user",
                user_id:id
            },
            success:function(response){
                
                $("#response").html(response);
                load_users();
                $("#delete_user_alert").modal("toggle");
                setTimeout(function(){
                    
                    $("#response").html("");
                },2000)
            }
        })
     }
     function delete_user_popup(id)
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"delete_user_popup",
                user_id:id
            },
            success:function(response){
                
                $("#delete_modal_body").html(response);
                $("#delete_user_alert").modal("toggle");
                
            }
        })
     }
     function add_user()
     {
         $.ajax({
            url:url,
            method:"POST",
            data: {
                function:"add_user",
                user_detail:$("#user_form").serialize()
            },
            success:function(response){
                
                $("#response").html(response);
                load_users();
                setTimeout(function(){
                    $("#add_user").modal("toggle");
                    $("#response").html("");
                },2000)
            }
        })
     }
    </script>
    </body>

    </html>
    <?php
}
else
{
    $url =  "http://adverchitects.com/pb";
    header("Location:".$url);
}
?>
