<?php
session_start();
if(isset($_SESSION['admin_login_info']['admin_status']))
{
    ?>
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Al-Ikhlas - Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="Version" content="v1.2.0" />
        <!-- favicon -->
        <?php require "common/head.php"?>
    </head>
    <body>
    <div class="page-wrapper doctris-theme toggled">
        <?php require "common/sideNav.php"?>
        <main class="page-content bg-light">
            <?php require "common/top-header.php"?>
            <div class="container-fluid">
                <div class="layout-specing">
                    <div class="d-md-flex justify-content-between">
                        <h5 class="mb-0">Withdraw Requests</h5>
                    </div>
                    <div id="parent_reponse"></div>
                    <div class="row my-3">
                        <table class="table  table-center bg-white shadow rounded">
                            <thead class="table table-bordered table-header">
                            <tr>
                                <td class="text-center">User Name</td>
                                <td class="text-center">Bond Type</td>
                                <td class="text-center">Bond Number</td>
                                <td class="text-center">Phone</td>
                                <td class="text-center">Query</td>
                            </tr>
                            </thead>
                            <tbody id="withdraw_list">

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </main>
    </div>
    <div class="modal fade" id="view_student_detail" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Student Detail</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="response"></div>
                <div class="modal-body p-3 pt-4" id="student_detail">

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="upload_file_to_student" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header border-bottom p-3">
                    <h5 class="modal-title" id="speciality_heading">Upload Curriculum</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="response"></div>
                <div class="modal-body p-3 pt-4" id="student_file_upload">

                </div>
            </div>
        </div>
    </div>
    <?php require "common/scripts.php"?>
    <script>
        function load_withdraw()
        {
             $.ajax({
                url:url,
                method:"POST",
                data: {
                    function:"load_withdraw_req",
                    
                },
                success:function(response){
                    $("#withdraw_list").html(response);
                }
            })
        }
        load_withdraw();
    </script>
    </body>
    </html>
    <?php
}
else
{
    $url =  "http://adverchitects.com/pb";
    header("Location:".$url);
}
?>
